
import 'dart:convert';
import 'package:zhiying_base_widget/widgets/custom/share_content/model/custom_share_content_model.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class CustomShareContentRepository {

  ///
  /// 获取缓存的数据
  ///
  Future<CustomShareContentModel> fetchParentStyle(Map<String, dynamic> model) async {
    try {
      if (!EmptyUtil.isEmpty(model)) {
        return CustomShareContentModel.fromJson(jsonDecode(model['data']));
      }
    } catch (e, s) {
      Logger.error(e, s);
    }
    return null;
  }

  ///
  /// 获取网络的数据
  ///
  Future<String> fetchNetData(Map<String, dynamic> model) async {
    try {
      if (!EmptyUtil.isEmpty(model)) {
        var result = await NetUtil.post('/api/v1/third_party/content/${model['mod_id']?.toString()}', method: NetMethod.GET );
        if (NetUtil.isSuccess(result) && !EmptyUtil.isEmpty(result[GlobalConfig.HTTP_RESPONSE_KEY_DATA])) {
          var data = result[GlobalConfig.HTTP_RESPONSE_KEY_DATA]['content'];
          if (!EmptyUtil.isEmpty(data)) {
            return data;
          }
        }
      }
    } catch (e, s) {
      Logger.error(e, s);
    }
    return null;
  }

}